# Bryan Schumaker (8/14/2010)

import ocarina
import webkit
from ocarina import body

path    = ocarina.libsaria.path
audio   = ocarina.libsaria.audio
gtk     = ocarina.gtk

page = gtk.ScrolledWindow()
box  = gtk.VBox()
sel  = gtk.ComboBoxEntry()
web  = webkit.WebView()

#box.pack_start(sel)
#box.pack_start(web)
page.set_policy(gtk.POLICY_AUTOMATIC, gtk.POLICY_AUTOMATIC)
#page.add_with_viewport(box)
page.add(web)

html  = path.join(path.cwd(), "html")
radio = path.join(html, "web_radio.html")
web.open(radio)

page.show_all()

def start():
	body.add_page("Web Radio", page)

def stop():
	body.remove_page("Web Radio")

def check_version():
	if ocarina.__major__ != 4:
		return False
	if ocarina.__minor__ == 3:
		return True
	return False
